Commit ce92f7c3 authored by sankhesh's avatar sankhesh

BUG: 2321 Should not check on Mac machines

The linker ld for OSX does not have --as-needed and --no-as-needed
flags.

git-svn-id: http://svn.slicer.org/Slicer4/trunk@21167 3bd1e089-480b-0410-8dfb-8563597acbee
parent 2a5484b9
......@@ -82,7 +82,7 @@ endif()
#-----------------------------------------------------------------------------
# Check if the linker will resolve symbols of underlinked libraries
#-----------------------------------------------------------------------------
if(UNIX)
if(UNIX AND NOT APPLE)
include(SlicerLinkerAsNeededFlagCheck)
if(Slicer_LINKER_NO_AS_NEEDED_FLAG_REQUIRED)
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-as-needed"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment